Bug 590391 - Unable to install from USB Key
Unable to install from USB Key
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: David Huff
Fedora Extras Quality Assurance
:
: 590179 591765 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 06:26 EDT by Phil Anderson
Modified: 2010-09-15 23:48 EDT (History)
11 users (show)

See Also:
Fixed In Version: livecd-tools-034-7.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 23:48:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs from failed install on Dell Inspiron Mini 9 (26.11 KB, application/x-gzip)
2010-05-10 07:04 EDT, Phil Anderson
no flags Details
log created from kill -USR2 anaconda (244.00 KB, application/octet-stream)
2010-05-15 01:32 EDT, Phil Anderson
no flags Details
Use stage2= for netboot.iso (1.29 KB, patch)
2010-08-30 18:05 EDT, Brian Lane
no flags Details | Diff

  None (edit)
Description Phil Anderson 2010-05-09 06:26:29 EDT
When trying to do a Net install of Fedora 13 development off a USB key, I get the error:
Missing ISO 9660 Image
The installer has tried to mount image #1, but cannot find it on the hard drive.
Please copy this image to the drive and click Retry. Click Exit to abort the installation.

I am using the latest boot.iso (dated 7th May) from:
development/13/i386/os/images/boot.iso

I have tried using both the FC12's livecd-iso-to-disk and also the Windows Live USB Creator program, and both exhibit the same symptoms.
Comment 1 Phil Anderson 2010-05-09 06:33:48 EDT
Sounds the same as:
http://forums.fedoraforum.org/archive/index.php/t-234137.html

I'm using a Dell Inspiron Mini 9, with a 16GB SSD.
Comment 2 Chris Lumens 2010-05-09 11:22:16 EDT
Please attach /tmp/anaconda.log, /tmp/syslog, and /tmp/storage.log to this bug report.  Thanks.
Comment 3 Chris Lumens 2010-05-09 11:23:06 EDT
*** Bug 590179 has been marked as a duplicate of this bug. ***
Comment 4 Phil Anderson 2010-05-10 07:04:03 EDT
Created attachment 412800 [details]
logs from failed install on Dell Inspiron Mini 9
Comment 5 Chris Lumens 2010-05-13 09:54:04 EDT
*** Bug 591765 has been marked as a duplicate of this bug. ***
Comment 6 Chris Lumens 2010-05-14 13:41:03 EDT
You're testing a very recent version of anaconda, so there's no point in asking to try testing with something later.  I don't think that'll make a difference.

On the filter UI screen (a screen very early on that asked you which drives you'd like to be a part of this installation), can you verify that your USB key was automatically selected?  If not, that's a bug but you could still manually select it.  What happened on this screen?

If nothing funny is going on there, there's limited reasons why you could be getting this error dialog.  Basically, either losetup or mount failed.  However I don't see anything useful in your logs that indicate why.

If you wouldn't mind too much, could you run anaconda until you hit this dialog, switch over to tty2, press up arrow until you see a command like "kill -USR2..", and attach /tmp/anaconda-tb-* to this bug report?  That'll let me peek at the variables when you get to this point.  Thanks.
Comment 7 Phil Anderson 2010-05-15 01:32:06 EDT
Created attachment 414217 [details]
log created from kill -USR2 anaconda

On that screen, my 'ATA STEC PATA 16GB' drive is listed first as sda and isn't selected by default.  I select it.   Second on the list (sdb) is the 'USB2.0 FlashDisk' which is selected, and even if I try, I can't unselect it.  

I've attached the requested log.  

So I didn't wipe my current install this time, I did a custom layout and chose not to format the existing partitions.  Previously I chose to format the existing / & /boot.  I have to do custom, as it's only a 16GB drive, and the default fedora options chew up too much space.
Comment 8 Adam Williamson 2010-06-09 03:58:33 EDT
Just to note, I see the same problem with F13 final. netinst.iso, written to USB key using livecd-iso-to-disk. If I use dd, it fails to find install.img at a much earlier point. Seems like it's impossible, or very difficult, to use the small image to do a minimal net install from a USB stick :/



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Brian Lane 2010-08-30 18:04:42 EDT
What's happening here is that livecd-iso-to-disk is creating the boot config with repo= which makes anaconda think there is a repo on the media when there isn't. A work-around is to edit the command line and use stage2= instead

I am also attaching a patch for livecd which will fix this by testing the iso being written for .discinfo (no .discinfo == netboot == stage2)
Comment 10 Brian Lane 2010-08-30 18:05:25 EDT
Created attachment 442045 [details]
Use stage2= for netboot.iso
Comment 11 Jasper O'neal Hartline 2010-08-31 02:39:41 EDT
There is also a patch here:
https://bugzilla.redhat.com/show_bug.cgi?id=604942

We need to merge these in some way to create a good patch which deals with this properly from both sets of patches.
Comment 12 Bruno Wolff III 2010-09-11 21:51:12 EDT
I committed a modified version of this patch.
Comment 13 Fedora Update System 2010-09-12 00:20:19 EDT
livecd-tools-034-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/livecd-tools-034-1.fc14
Comment 14 Fedora Update System 2010-09-13 14:10:10 EDT
livecd-tools-034-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update livecd-tools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/livecd-tools-034-2.fc14
Comment 15 Fedora Update System 2010-09-14 23:22:59 EDT
livecd-tools-034-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/livecd-tools-034-7.fc14
Comment 16 Phil Anderson 2010-09-14 23:35:02 EDT
Should this also be pushed for Fedora 13, as when it's released, most Fedora 14 USB keys will be created with livecd-tools in Fedora 13?

Will this somehow magically flow through to the Windows LiveUSB Creator, or is that a fully independent project?  It also had the same problems.
Comment 17 Bruno Wolff III 2010-09-15 00:12:22 EDT
I wasn't going to rush it into F13 as it really needs more testing as a lot of bug fix patches were collected and rushed in. After some testing, I'll look at getting it into F13.
I don't know what is upstream for the windows version of LiveUSB creator.
Comment 18 Fedora Update System 2010-09-15 02:52:18 EDT
livecd-tools-034-7.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update livecd-tools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/livecd-tools-034-7.fc14
Comment 19 Fedora Update System 2010-09-15 23:47:02 EDT
livecd-tools-034-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.